# PSF-LoginServer - master - net.psforever.objects.BoomerDeployableControl
PSF - LoginServer - master - net.psforever.objects.BoomerDeployableControl
Keywords: PSF LoginServer master net.psforever.objects.BoomerDeployableControl

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package objects
  Definition Classes
    psforever
-  package avatar
  Definition Classes
    objects
-  package ballistics
  Definition Classes
    objects
-  package ce
  Definition Classes
    objects
-  package definition
  Definition Classes
    objects
-  package entity
  Definition Classes
    objects
-  package equipment
  Definition Classes
    objects
-  package geometry
  Definition Classes
    objects
-  package guid
  Definition Classes
    objects
-  package inventory
  Definition Classes
    objects
-  package loadouts
  Definition Classes
    objects
-  package locker
  Definition Classes
    objects
-  package serverobject
  Definition Classes
    objects
-  package teamwork
  Definition Classes
    objects
-  package vehicles
  Definition Classes
    objects
-  package vital
  Definition Classes
    objects
-  package zones
  Definition Classes
    objects
- Account
- AmmoBox
- BoomerDeployable
- BoomerDeployableControl
- BoomerDeployableDefinition
- BoomerTrigger
- CommonNtuContainer
- ConstructionItem
- Default
- Deployables
- ExplosiveDeployable
- ExplosiveDeployableControl
- ExplosiveDeployableDefinition
- GlobalDefinitions
- Kit
- LivePlayerList
- LocalLockerItem
- LocalProjectile
- MineDeployableControl
- Ntu
- NtuContainer
- NtuContainerDefinition
- NtuStorageBehavior
- ObjectType
- OffhandEquipmentSlot
- OwnableByPlayer
- PlanetSideGameObject
- Player
- Players
- SensorDeployable
- SensorDeployableControl
- SensorDeployableDefinition
- Session
- ShieldGeneratorControl
- ShieldGeneratorDefinition
- ShieldGeneratorDeployable
- SimpleItem
- SpawnPoint
- SpawnPointDefinition
- SpecialEmp
- Telepad
- TelepadControl
- TelepadDeployable
- TelepadDeployableControl
- TelepadDeployableDefinition
- Tool
- Tools
- TrapDeployable
- TrapDeployableControl
- TrapDeployableDefinition
- TurretControl
- TurretDeployable
- TurretDeployableDefinition
- Vehicle
- Vehicles

c

net.psforever.objects

# BoomerDeployableControl

###

#### class BoomerDeployableControl extends ExplosiveDeployableControl

Source
  BoomerDeployable.scala

Linear Supertypes
ExplosiveDeployableControl, Damageable, DeployableBehavior, Actor, AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. BoomerDeployableControl
2. ExplosiveDeployableControl
3. Damageable
4. DeployableBehavior
5. Actor
6. AnyRef
7. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Instance Constructors

1.  new BoomerDeployableControl(mine: BoomerDeployable)

### Type Members

1.  type Receive = PartialFunction[Any, Unit]
   Definition Classes
     Actor

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def CanDetonate(obj: Vitality with FactionAffinity, damage: Int, data: DamageInteraction): Boolean

   A supplement for checking target susceptibility to account for sympathetic explosives even if there is no damage.

   A supplement for checking target susceptibility to account for sympathetic explosives even if there is no damage. This does not supercede other underlying checks or undo prior damage checks.

   obj

     the entity being damaged

   damage

     the amount of damage

   data

     historical information about the damage

   returns

     `true`, if the target can be affected; `false`, otherwise

   Definition Classes
     ExplosiveDeployableControl
   See also

     `Damageable.CanDamageOrJammer`

     `DamageProperties.SympatheticExplosives`

5.  def DamageableObject: ExplosiveDeployable

   Contextual access to the object being the target of this damage.

   Contextual access to the object being the target of this damage. Needs declaration in lowest implementing code.

   returns

     the entity controlled by this actor

   Definition Classes
     ExplosiveDeployableControl → Damageable
6.  def DeployableObject: ExplosiveDeployable
   Definition Classes
     ExplosiveDeployableControl → DeployableBehavior
7.  def PerformDamage(target: Target, applyDamageTo: Output): Unit

   Assess the vital statistics of the target, apply the damage, and determine if any of those statistics changed.

   Assess the vital statistics of the target, apply the damage, and determine if any of those statistics changed. By default, only take an interest in the change of "health". If implementing custom damage with no new message handling, override this method.

   target

     the entity to be damaged

   applyDamageTo

     the function that applies the damage to the target in a target-tailored fashion

   Attributes
     protected
   Definition Classes
     ExplosiveDeployableControl → Damageable
   See also

     `ResolutionCalculations.Output`

8.  def aroundPostRestart(reason: Throwable): Unit
   Attributes
     protected[akka]
   Definition Classes
     Actor
   Annotations
     @InternalApi()
9.  def aroundPostStop(): Unit
   Attributes
     protected[akka]
   Definition Classes
     Actor
   Annotations
     @InternalApi()
10.  def aroundPreRestart(reason: Throwable, message: Option[Any]): Unit
    Attributes
      protected[akka]
    Definition Classes
      Actor
    Annotations
      @InternalApi()
11.  def aroundPreStart(): Unit
    Attributes
      protected[akka]
    Definition Classes
      Actor
    Annotations
      @InternalApi()
12.  def aroundReceive(receive: akka.actor.Actor.Receive, msg: Any): Unit
    Attributes
      protected[akka]
    Definition Classes
      Actor
    Annotations
      @InternalApi()
13.  final def asInstanceOf[T0]: T0
    Definition Classes
      Any
14.  def clone(): AnyRef
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.CloneNotSupportedException]) @native()
15.  def commonMineBehavior: Receive
    Definition Classes
      ExplosiveDeployableControl
16.  implicit val context: ActorContext
    Definition Classes
      Actor
17.  val decay: Cancellable

    the timer for the deconstruction process

    the timer for the deconstruction process

    Definition Classes
      DeployableBehavior
18.  def deconstructDeployable(time: Option[FiniteDuration]): Unit

    The first stage of the deployable dismissal process, to put the formal process in motion.

    The first stage of the deployable dismissal process, to put the formal process in motion.

    time

      an optional duration that overrides the deployable's usual duration

    Definition Classes
      DeployableBehavior
19.  val deletionType: Int

    a value that is utilized by the `ObjectDeleteMessage` packet, affecting animation

    a value that is utilized by the `ObjectDeleteMessage` packet, affecting animation

    Definition Classes
      DeployableBehavior
20.  val deployableBehavior: Receive
    Definition Classes
      DeployableBehavior
21.  def deployableBehaviorPostStop(): Unit
    Definition Classes
      DeployableBehavior
22.  def dismissDeployable(): Unit

    The second stage of the deployable build process, to complete the formal process.

    The second stage of the deployable build process, to complete the formal process. Queue up final deployable unregistering, separate from the zone's deployable governance, and instruct all clients in this zone that the deployable is to be deconstructed.

    Definition Classes
      BoomerDeployableControl → DeployableBehavior
23.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
24.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
25.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
26.  def finalizeDeployable(callback: ActorRef): Unit

    The second stage of the deployable build process, to complete the formal process.

    The second stage of the deployable build process, to complete the formal process. If no owner is assigned, the deployable must immediately begin suffering decay. Nothing dangerous happens if it does not begin to decay, but, because it is not under a player's management, the deployable will not properly transition to a decay state for another reason and can linger in the zone ownerless for as long as it is not destroyed.

    callback

      an `ActorRef` used for confirming the deployable's completion of the process

    Definition Classes
      DeployableBehavior
    See also

      `AvatarAction.DeployItem`

      `DeploymentAction`

      `DeployableInfo`

      `LocalAction.DeployableMapIcon`

      `Zone.Deployable.IsBuilt`

27.  def gainOwnership(player: Player): Unit

    na

    na

    player

      the player being given ownership of this deployable

    Definition Classes
      BoomerDeployableControl → DeployableBehavior
    See also

      `gainOwnership(Player, PlanetSideEmpire.Value)`

28.  def gainOwnership(player: Player, toFaction: types.PlanetSideEmpire.Value): Unit

    na

    na

    player

      the player being given ownership of this deployable

    toFaction

      the faction to which the deployable is being assigned; usually matches the `player`'s own faction

    Definition Classes
      DeployableBehavior
29.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
30.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
31.  def isConstructed: Option[Boolean]
    Definition Classes
      DeployableBehavior
32.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
33.  def loseOwnership(faction: types.PlanetSideEmpire.Value): Unit

    Losing ownership involves updating map screen UI, to remove management rights from the now-previous owner, and may involve concealing the deployable from the map screen for the entirety of the previous owner's faction.

    Losing ownership involves updating map screen UI, to remove management rights from the now-previous owner, and may involve concealing the deployable from the map screen for the entirety of the previous owner's faction. Displaying the deployable on the map screen of another faction may be required.

    Definition Classes
      BoomerDeployableControl → DeployableBehavior
34.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
35.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
36.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
37.  final val originalTakesDamage: akka.actor.Actor.Receive

    a duplicate of the core implementation for the default mixin hook, for use in overriding

    a duplicate of the core implementation for the default mixin hook, for use in overriding

    Definition Classes
      Damageable
38.  def postRestart(reason: Throwable): Unit
    Definition Classes
      Actor
    Annotations
      @throws(classOf[java.lang.Exception])
39.  def postStop(): Unit
    Definition Classes
      ExplosiveDeployableControl → Actor
40.  def preRestart(reason: Throwable, message: Option[Any]): Unit
    Definition Classes
      Actor
    Annotations
      @throws(classOf[java.lang.Exception])
41.  def preStart(): Unit
    Definition Classes
      Actor
    Annotations
      @throws(classOf[java.lang.Exception])
42.  def receive: Receive
    Definition Classes
      BoomerDeployableControl → Actor
43.  implicit final val self: ActorRef
    Definition Classes
      Actor
44.  final def sender(): ActorRef
    Definition Classes
      Actor
45.  val setup: Cancellable

    the timer for the construction process

    the timer for the construction process

    Definition Classes
      DeployableBehavior
46.  def setupDeployable(callback: ActorRef): Unit

    The first stage of the deployable build process, to put the formal process in motion.

    The first stage of the deployable build process, to put the formal process in motion. Deployables, upon construction, may display an animation effect. Parameters are required to be passed onto the next stage of the build process and are not used here.

    callback

      an `ActorRef` used for confirming the deployable's completion of the process

    Definition Classes
      DeployableBehavior
    See also

      `DeployableDefinition.deployAnimation`

      `DeployableDefinition.DeployTime`

      `LocalAction.TriggerEffectLocation`

47.  def startOwnerlessDecay(): Unit
    Definition Classes
      DeployableBehavior
48.  def supervisorStrategy: SupervisorStrategy
    Definition Classes
      Actor
49.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
50.  val takesDamage: akka.actor.Actor.Receive

    the official mixin hook; `orElse` onto the "control" `Actor` `receive`; or, cite the `originalTakesDamage` protocol during inheritance overrides

    the official mixin hook; `orElse` onto the "control" `Actor` `receive`; or, cite the `originalTakesDamage` protocol during inheritance overrides

    Definition Classes
      Damageable
51.  def toString(): String
    Definition Classes
      AnyRef → Any
52.  def unhandled(message: Any): Unit
    Definition Classes
      Actor
53.  def unregisterDeployable(obj: Deployable): Unit

    The task for unregistering this deployable.

    The task for unregistering this deployable. Most deployables are monolithic entities, requiring only a single unique identifier.

    obj

      the deployable

    Definition Classes
      DeployableBehavior
54.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
55.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
56.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from ExplosiveDeployableControl

### Inherited from Damageable

### Inherited from DeployableBehavior

### Inherited from Actor

### Inherited from AnyRef

### Inherited from Any

### Ungrouped